(define-module (alterator type samba-resource)
    :use-module (alterator woo)
    :export (type))

(define *resource-regex-str* "^[ a-zA-Z0-9_]+$")

(define *resource-regex* (make-regexp *resource-regex-str* regexp/extended))

(define (type v _)
  (or (and (string? v) (string-null? v))
      (and (string? v) (regexp-exec *resource-regex* v))
      (type-error (_ "invalid resource name" "alterator-samba"))))
